/**
 *
 */
package org.gcube.portlets.user.geoportaldataviewer.shared;

import java.io.Serializable;
import java.util.List;
import java.util.Map;


/**
 * The Class FeatureRow.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Oct 29, 2020
 */
public class FeatureRow implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 6254861811998867626L;

	private Map<String, List<String>> mapProperties;

	

	public Map<String, List<String>> getMapProperties() {
		return mapProperties;
	}



	public void setMapProperties(Map<String, List<String>> mapProperties) {
		this.mapProperties = mapProperties;
	}



	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("FeatureRow [mapValues=");
		builder.append(mapProperties);
		builder.append("]");
		return builder.toString();
	}

}
